#include<bits/stdc++.h>
using namespace std;

int a[30001];
int b[30001];


//brojevi mogu biti negativni i pozitivni
//znaci cilj nam je da zakljucimo nesto o znakovima nakon sto smo odradili sve swapove
//prvo cu iskucati za 15 poena
void resi(){
	int n; cin >> n;
    int c,d;
    int p1,p2;
	for(int i = 0; i < n; i++){
        cin >> a[i];
        if(a[i] != 0){
        	c = a[i];
        	p1 = i;
		}
    }
    for(int i = 0; i < n; i++){
        cin >> b[i];
        if(b[i] != 0){
        	d = b[i];
        	p2 = i;
		} 
    }
    if(abs(c) == abs(d) && (c + d == 0) == abs(p2-p1)%2) cout << "DA\n";
    else cout << "NE\n";
}


int main(){
	ios::sync_with_stdio(0); cin.tie(0);
	int t; cin >> t;
	while(t--) resi();
	return 0;
}